<!doctype html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:sd="http://www.w3.org/1999/xhtml"
      layout:decorate="~{layouts/default.html}">
<head>
  <!-- Primary Meta Tags -->
  <meta name="title" content="Performance Report">
  <title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">Performance Report</title>
</head>
<body>
<div class="container max-w-screen-lg mx-auto px-4" layout:fragment="content">
<!--  header section-->
  <div class="flex flex-wrap flex-row sm:justify-between items-center mt-16 mb-6">
    <h1 class="text-2xl text-blue-900 font-semibold">Performance Report</h1>
  </div>

  <!--performance report table-->
  <form method="get">
    <div class="flex flex-wrap md:flex-nowrap gap-2 items-center justify-between pb-4">
      <div date-rangepicker class="basis-full md:basis-auto flex items-center" id="dateRangePicker">
        <div class="relative flex-grow">
          <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
            <svg aria-hidden="true" class="w-5 h-5 text-gray-500" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M6 2a1 1 0 00-1 1v1H4a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V6a2 2 0 00-2-2h-1V3a1 1 0 10-2 0v1H7V3a1 1 0 00-1-1zm0 5a1 1 0 000 2h8a1 1 0 100-2H6z" clip-rule="evenodd"></path></svg>
          </div>
          <input type="text" name="localDateMulai1" th:value="${localDateMulai}" onchange="submitForm()" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5" th:placeholder="${localDateMulai}">
        </div>
        <span class="mx-4 text-gray-500">to</span>
        <div class="relative flex-grow">
          <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
            <svg aria-hidden="true" class="w-5 h-5 text-gray-500" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M6 2a1 1 0 00-1 1v1H4a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V6a2 2 0 00-2-2h-1V3a1 1 0 10-2 0v1H7V3a1 1 0 00-1-1zm0 5a1 1 0 000 2h8a1 1 0 100-2H6z" clip-rule="evenodd"></path></svg>
          </div>
          <input type="text" name="localDateSelesai1" th:value="${localDateSelesai}" onchange="submitForm()" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5" th:placeholder="${localDateSelesai}">
        </div>
      </div>
      <div class="basis-full sm:basis-auto">
        <select  class="w-full sm:w-auto bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
          <option selected>Choose company</option>
          <option value="US">IAI Tazkia Sentul</option>
          <option value="CA">IAI Tazkia Dramaga</option>
          <option value="FR">Yayasan Tazkia</option>
        </select>
      </div>
      <div class="flex-grow">
          <div class="relative">
            <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
              <svg class="w-5 h-5 text-gray-500" aria-hidden="true" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z" clip-rule="evenodd"></path></svg>
            </div>
            <input type="text" id="table-search" name="search" th:value="${search}" class="w-full block p-2 pl-10 text-sm text-gray-900 border border-gray-300 rounded-lg bg-gray-50 focus:ring-blue-500 focus:border-blue-500" placeholder="Search Employee">
          </div>
      </div>
      <div class="basis-full sm:basis-auto flex flex-row gap-2 items-center">
        <button type="submit" class="flex-grow text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2 text-center">Filter</button>

        <!--download btn-->
        <a th:href="@{'#'}" type="button" class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2 text-center inline-flex items-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">
          <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">
            <path stroke-linecap="round" stroke-linejoin="round" d="M3 16.5v2.25A2.25 2.25 0 005.25 21h13.5A2.25 2.25 0 0021 18.75V16.5M16.5 12L12 16.5m0 0L7.5 12m4.5 4.5V3" />
          </svg>
        </a>
      </div>
    </div>
  </form>

  <div class="relative overflow-x-auto sm:rounded-lg pt-1">
    <table class="w-full text-sm text-left text-gray-500">
      <thead class="text-xs text-gray-700 uppercase bg-gray-50">
      <tr>
        <th scope="col" class="px-6 py-3">
          Employee Name
        </th>
        <th scope="col" class="px-6 py-3">
          Group
        </th>
        <th scope="col" class="px-6 py-3 text-center">
          Ketazkiaan
        </th>
      </tr>
      </thead>
      <tbody>
      <tr class="bg-white border-b hover:bg-gray-50" th:each="dataEmployes, row : ${listEmployee}">
        <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap">
          <p th:text="${dataEmployes[1]}">Dofir Fauzi</p>
<!--          <span th:utext="${dataEmployes[2]}" class="text-sm text-gray-500">Staff IT</span>-->
<!--          <pre th:text="${dataEmployes[2]}"></pre>-->
        </th>
        <td th:text="${dataEmployes[2]}" class="px-6 py-3">SATU</td>
        <td>
          <table class="w-full text-sm text-left text-gray-500">
            <thead class="text-xs text-gray-700 uppercase bg-gray-50">
            <tr>
              <th scope="col" class="px-6 py-3">
                Task
              </th>
              <th scope="col" class="px-6 py-3">
                Pelaksanaan
              </th>
              <th scope="col" class="px-6 py-3">
                Tarif
              </th>
              <th scope="col" class="px-6 py-3">
                Jumlah
              </th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="dataEmployesTask, row : ${listPerformanceReport}" class="border-b">
              <td th:if="${dataEmployesTask.getId() == dataEmployes[0]}" th:text="${dataEmployesTask.getScheduleName()}" class="px-6 py-3">Duha</td>
              <td th:if="${dataEmployesTask.getId() == dataEmployes[0]}" th:text="${dataEmployesTask.getJumlah()}" class="px-6 py-3">22</td>
              <td th:if="${dataEmployesTask.getId() == dataEmployes[0]}" th:text="${dataEmployesTask.getTarif()}" class="px-6 py-3">10.000</td>
              <td th:if="${dataEmployesTask.getId() == dataEmployes[0]}" th:text="${dataEmployesTask.getReward()}"  class="px-6 py-3">220.000</td>
            </tr>
            </tbody>
            <tfoot class="text-xs text-gray-700 uppercase bg-gray-50">
            <tr>
              <th colspan="3" class="px-6 py-3">Total Ketazkiaan</th>
              <th class="px-6 py-3"> <span th:text="${dataEmployes[3]}"></span></th>
            </tr>
            </tfoot>
          </table>
        </td>
      </tr>
      </tbody>
    </table>
  </div>
  <div class="flex flex-row flex-wrap justify-center md:justify-between items-center my-4">
    query result
    <p class="text-base text-gray-500 mr-4 mb-1">Show 10 From 270 Results</p>
    pagination
    <nav aria-label="Page navigation example">
      <ul class="pagination" sd:pagination="full">
        <li>
          <a href="#" class="block px-3 py-2 ml-0 leading-tight text-gray-500 bg-white border border-gray-300 rounded-l-lg hover:bg-gray-100 hover:text-gray-700">
            <span class="sr-only">Previous</span>
            <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M12.707 5.293a1 1 0 010 1.414L9.414 10l3.293 3.293a1 1 0 01-1.414 1.414l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 0z" clip-rule="evenodd"></path></svg>
          </a>
        </li>
        <li>
          <a href="#" class="px-3 py-2 leading-tight text-gray-500 bg-white border border-gray-300 hover:bg-gray-100 hover:text-gray-700">1</a>
        </li>
        <li>
          <a href="#" aria-current="page" class="z-10 px-3 py-2 leading-tight text-blue-600 bg-blue-50 border border-blue-300 hover:bg-blue-100 hover:text-blue-700">2</a>
        </li>
        <li>
          <a href="#" class="px-3 py-2 leading-tight text-gray-500 bg-white border border-gray-300 hover:bg-gray-100 hover:text-gray-700">3</a>
        </li>
        <li>
          <a href="#" class="block px-3 py-2 leading-tight text-gray-500 bg-white border border-gray-300 rounded-r-lg hover:bg-gray-100 hover:text-gray-700 dark:bg-gray-800 dark:border-gray-700 dark:text-gray-400 dark:hover:bg-gray-700 dark:hover:text-white">
            <span class="sr-only">Next</span>
            <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z" clip-rule="evenodd"></path></svg>
          </a>
        </li>
      </ul>
    </nav>
  </div>
</div>
<script th:inline="javascript">
  function submitForm() {
    document.forms[0].submit();
  }
</script>

</body>
</html>